Page MenuHomePhabricator

Create an initial set of API integration tests using variables (part 2)
Closed, ResolvedPublic

Description

Without support for variables in phester, these tests have to be written "dry", with no way to execute them.

  • changing preferences
  • undo
  • diffs with fixed revision IDs (test special case for last and first revision)
  • auto-patrolling
  • listing users
  • page protection (effectiveness, levels)
  • MediaWiki namespace restrictions
  • site script protection (needs special permission)
  • remaining core parser functions
  • Pre-save transform (PST), signatures, subst templates, subst REVISIONUSER.
  • newtalk notifications
  • site stats (may need support for arithmetic functions)

These tests will be written for our own runner (phester) and some tests for some of the other candidates, like tavern, behat, codeception, or dredd.

Tests to be written in other frameworks:

  • diffs with fixed revision IDs in Tavern
  • diffs with fixed revision IDs in SuperTest
  • Site stats in Tavern
  • Site stats in SuperTest
  • page protection (effectiveness, levels) in SuperTest

Acceptance criteria: at least half of the tests have been written using Phester and at least two of them have been written in at least two other frameworks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 6:26 PM
Clarakosi updated the task description. (Show Details)Jul 18 2019, 1:49 PM
daniel added a subscriber: daniel.Jul 29 2019, 3:34 PM

Pull request for the majority of Phester tests is up:
https://github.com/clarakosi/Phester/pull/11

Clarakosi updated the task description. (Show Details)Jul 29 2019, 3:44 PM

@Clarakosi thanks for updating and adding the extra list! Would you mind also creating a list for each additional framework you intend to test? (At says at least 2 but I'm not sure which ones you are doing and how many you think you will do)

@Fjalapeno The second list mentions the tests I intend to write in other frameworks. I'm still going through some of the other frameworks' docs and once I have a better understanding of which ones I want to use I'll update the second list to mention the framework being used.

CCicalese_WMF closed this task as Resolved.Aug 12 2019, 7:11 PM